- Main
- Tutorials
- Library
- Samples

Modules | Functions
Power
Library

## Modules
| PWR_STATUS

## Functions
IOTHINX_ERR | ioThinx_PWR_GetSysStatus (uint32_t slot, uint8_t start, uint8_t count, uint8_t buf[])
IOTHINX_ERR | ioThinx_PWR_GetFieldStatus (uint32_t slot, uint8_t start, uint8_t count, uint8_t buf[])
IOTHINX_ERR | ioThinx_PWR_Config_GetAlarms (uint32_t slot, uint8_t start, uint8_t count, float buf[])
IOTHINX_ERR | ioThinx_PWR_Config_SetAlarms (uint32_t slot, uint8_t start, uint8_t count, float buf[])

## Detailed Description

Sample Code:
pwr.c

## Function Documentation

IOTHINX_ERR ioThinx_PWR_GetSysStatus | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | uint8_t | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [out] | buf | An array that stores the system power status for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_PWR_GetFieldStatus | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | uint8_t | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [out] | buf | An array that stores the field power status for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_PWR_Config_GetAlarms | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | float | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [out] | buf | An array that stores the alarm (V) configs for the contiguous channels. Range = 9 ~ 45 (V). buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_PWR_Config_SetAlarms | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | float | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [in] | buf | An array that stores the alarm (V) configs for the contiguous channels. Range = 9 ~ 45 (V). buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.